#pragma once

class MainState;

class GameObject
{
public:
	GameObject(MainState* _gameState);
	virtual ~GameObject(void);

public:
	virtual void Update(float dt) { }
	virtual void Draw(float dt) { }

	MainState* GetGameState();

private:
	MainState* gameState;

protected:
	float x, y;
	float radius;
};
